Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tei
Class DeclareTEI

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          org.apache.taglibs.standard.tei.DeclareTEI

    public class DeclareTEI

extends TagExtraInfo

An implementation of TagExtraInfo provided for <declare>. We simply set up a scripting variable for the ID and value that <declare> already stored. For EA2, DefineTEI *always* declares the variable; no option is given via a tag attribute. Visibility is always AT_END.

Author:
  Shawn Bayern

Constructor Summary
`DeclareTEI()`

Method Summary
`VariableInfo[]` | `getVariableInfo(TagData data)` information on scripting variables defined by the tag associated with this TagExtraInfo instance.

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeclareTEI

    public DeclareTEI()

Method Detail

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  Description copied from class: `TagExtraInfo`
  information on scripting variables defined by the tag associated with this TagExtraInfo instance. Request-time attributes are indicated as such in the TagData parameter.

  Overrides:
    `getVariableInfo` in class `TagExtraInfo`
  Parameters:
    `data` - The TagData instance.
  Returns:
    An array of VariableInfo data, or null or a zero length array if no scripting variables are to be defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.